export default {
  async fetch(request) {
    const url = new URL(request.url);
    const targetUrl = `http://medicine-silly-recovery-hometown.trycloudflare.com${url.pathname}${url.search}`;
    
    const modifiedRequest = new Request(targetUrl, {
      method: request.method,
      headers: request.headers,
      body: request.body,
    });
    
    return fetch(modifiedRequest);
  }
};
